---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libBoundVThreadTest.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0x1EA8, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x20CB0, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xC6, offset: 0xC6, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x20E00, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8CE5, offset: 0x8CE5, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1914, symBinAddr: 0x2DE4, symSize: 0x198 }
  - { offsetInCU: 0x8D1C, offset: 0x8D1C, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x20E18, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8F07, offset: 0x8F07, size: 0x8, addend: 0x0, symName: __ZL19vthread_start_count, symObjAddr: 0x20E08, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F20, offset: 0x8F20, size: 0x8, addend: 0x0, symName: __ZL17vthread_end_count, symObjAddr: 0x20E0C, symBinAddr: 0x8184, symSize: 0x0 }
  - { offsetInCU: 0x8F39, offset: 0x8F39, size: 0x8, addend: 0x0, symName: __ZL6status, symObjAddr: 0x20E10, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x211C, symSize: 0x24 }
  - { offsetInCU: 0x9637, offset: 0x9637, size: 0x8, addend: 0x0, symName: _Java_BoundVThreadTest_testJvmtiFunctions, symObjAddr: 0xC70, symBinAddr: 0x2140, symSize: 0x704 }
  - { offsetInCU: 0xA460, offset: 0xA460, size: 0x8, addend: 0x0, symName: __ZL21check_suspended_stateP7JNIEnv_P8_jobject, symObjAddr: 0x165C, symBinAddr: 0x2B2C, symSize: 0x15C }
  - { offsetInCU: 0xA694, offset: 0xA694, size: 0x8, addend: 0x0, symName: __ZL19check_resumed_stateP7JNIEnv_P8_jobject, symObjAddr: 0x17B8, symBinAddr: 0x2C88, symSize: 0x15C }
  - { offsetInCU: 0xA945, offset: 0xA945, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1374, symBinAddr: 0x2844, symSize: 0x18C }
  - { offsetInCU: 0xAB2E, offset: 0xAB2E, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1500, symBinAddr: 0x29D0, symSize: 0x14 }
  - { offsetInCU: 0xAB69, offset: 0xAB69, size: 0x8, addend: 0x0, symName: __ZL16VirtualThreadEndP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1514, symBinAddr: 0x29E4, symSize: 0x14 }
  - { offsetInCU: 0xABA4, offset: 0xABA4, size: 0x8, addend: 0x0, symName: _Java_BoundVThreadTest_check, symObjAddr: 0x1528, symBinAddr: 0x29F8, symSize: 0x11C }
  - { offsetInCU: 0xAC47, offset: 0xAC47, size: 0x8, addend: 0x0, symName: __ZL10agent_procP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1644, symBinAddr: 0x2B14, symSize: 0x18 }
...
